_flow_graph_impl.h File Reference
`#include "../tbb_stddef.h"`
`#include "../task.h"`
`#include "../task_arena.h"`
`#include "../flow_graph_abstractions.h"`
`#include "../concurrent_priority_queue.h"`
`#include <list>`
Include dependency graph for _flow_graph_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | tbb::flow::interface11::graph_task
| Base class for tasks generated by graph nodes. More...
class | tbb::flow::interface11::graph_iterator< GraphContainerType, GraphNodeType >
struct | tbb::flow::interface11::internal::graph_task_comparator
class | tbb::flow::interface11::internal::priority_task_selector
class | tbb::flow::interface10::graph
| The graph class. More...
class | tbb::flow::interface10::graph::run_task< Body >
class | tbb::flow::interface10::graph::run_and_put_task< Receiver, Body >
class | tbb::flow::interface10::graph::wait_functor
class | tbb::flow::interface10::graph::spawn_functor
| A functor that spawns a task. More...
class | tbb::flow::interface11::graph_node
| The base of all graph nodes. More...

## Namespaces

| tbb
| The graph class.
| tbb::flow
| tbb::flow::internal
| tbb::flow::interface10
| tbb::flow::interface11
| tbb::flow::interface11::internal

## Macros

#define | FLOW_SPAWN(a) tbb::task::spawn((a))
#define | __TBB_FLOW_GRAPH_PRIORITY_EXPR(expr) expr
#define | __TBB_FLOW_GRAPH_PRIORITY_ARG0(priority) , priority
#define | __TBB_FLOW_GRAPH_PRIORITY_ARG1(arg1, priority) arg1, priority
#define | __TBB_DEPRECATED_LIMITER_EXPR(expr)
#define | __TBB_DEPRECATED_LIMITER_ARG2(arg1, arg2) arg1
#define | __TBB_DEPRECATED_LIMITER_ARG4(arg1, arg2, arg3, arg4) arg1, arg2

## Typedefs

typedef unsigned int | tbb::flow::internal::node_priority_t
typedef tbb::concurrent_priority_queue< graph_task *, graph_task_comparator > | tbb::flow::interface11::internal::graph_task_priority_queue_t

## Enumerations

enum | tbb::flow::interface11::reset_flags { tbb::flow::interface11::rf_reset_protocol = 0, tbb::flow::interface11::rf_reset_bodies = 1 << 0, tbb::flow::interface11::rf_clear_edges = 1 << 1 }

## Functions

void | tbb::flow::interface11::internal::activate_graph (tbb::flow::interface10::graph &g)
void | tbb::flow::interface11::internal::deactivate_graph (tbb::flow::interface10::graph &g)
bool | tbb::flow::interface11::internal::is_graph_active (tbb::flow::interface10::graph &g)
tbb::task & | tbb::flow::interface11::internal::prioritize_task (tbb::flow::interface10::graph &g, tbb::task &arena_task)
void | tbb::flow::interface11::internal::spawn_in_graph_arena (graph &g, tbb::task &arena_task)
| Spawns a task inside graph arena. More...
void | tbb::flow::interface11::internal::enqueue_in_graph_arena (graph &g, tbb::task &arena_task)
| Enqueues a task inside graph arena. More...
void | tbb::flow::interface11::internal::add_task_to_graph_reset_list (tbb::flow::interface10::graph &g, tbb::task *tp)

## Variables

static tbb::task *const | tbb::flow::internal::SUCCESSFULLY_ENQUEUED = (task *)-1
static const node_priority_t | tbb::flow::internal::no_priority = node_priority_t(0)

## Macro Definition Documentation

## __TBB_DEPRECATED_LIMITER_ARG2

#define __TBB_DEPRECATED_LIMITER_ARG2 | ( |  | arg1,
|  |  | arg2
| ) |  | arg1

Definition at line 53 of file _flow_graph_impl.h.

## __TBB_DEPRECATED_LIMITER_ARG4

#define __TBB_DEPRECATED_LIMITER_ARG4 | ( |  | arg1,
|  |  | arg2,
|  |  | arg3,
|  |  | arg4
| ) |  | arg1, arg2

Definition at line 54 of file _flow_graph_impl.h.

## __TBB_DEPRECATED_LIMITER_EXPR

#define __TBB_DEPRECATED_LIMITER_EXPR | ( |  | expr | ) |

Definition at line 52 of file _flow_graph_impl.h.

## __TBB_FLOW_GRAPH_PRIORITY_ARG0

#define __TBB_FLOW_GRAPH_PRIORITY_ARG0 | ( |  | priority | ) | , priority

Definition at line 39 of file _flow_graph_impl.h.

## __TBB_FLOW_GRAPH_PRIORITY_ARG1

#define __TBB_FLOW_GRAPH_PRIORITY_ARG1 | ( |  | arg1,
|  |  | priority
| ) |  | arg1, priority

Definition at line 40 of file _flow_graph_impl.h.

## __TBB_FLOW_GRAPH_PRIORITY_EXPR

#define __TBB_FLOW_GRAPH_PRIORITY_EXPR | ( |  | expr | ) | expr

Definition at line 38 of file _flow_graph_impl.h.

## FLOW_SPAWN

#define FLOW_SPAWN | ( |  | a | ) | tbb::task::spawn((a))

Definition at line 34 of file _flow_graph_impl.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.